API DocumentationManufacturer requisition controller

Get requisition by ID

GET
/api/manufacturer/v1/requisition/{id}

Retrieves a specific requisition by its ID

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

id*integer

ID of the requisition to retrieve

Formatint64

Response Body

Successfully retrieved requisition

application/json
  1. response
id*integer
Formatint64
partSpecificationId*string
Formatuuid
partRevisionId*string
Formatuuid
orderId*integer
Formatint64
orderNumber*string
orderState*string
Value in"QUOTE""ORDER""DRAFT"
customReference?string
customerOrganisationId?integer
Formatint64
customerOrganisationName?string
pricingType*string
manualPrice?number
pricePaid?number
quantity*integer
createdAt*string
Formatdate-time
lastUpdated*string
Formatdate-time
leadTimeId?string
Formatuuid
workOrders*array<>
variables*
postProcessingVariables*array<>
duration?integer
name*string
sequence*integer
Formatint32
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/requisition/1'
{  "id": 0,  "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",  "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",  "orderId": 0,  "orderNumber": "string",  "orderState": "QUOTE",  "customReference": "string",  "customerOrganisationId": 0,  "customerOrganisationName": "string",  "pricingType": "string",  "manualPrice": 0,  "pricePaid": 0,  "quantity": 0,  "createdAt": "2019-08-24T14:15:22Z",  "lastUpdated": "2019-08-24T14:15:22Z",  "leadTimeId": "d4f8e2ce-2958-4e33-9da6-3f42e4f728f1",  "workOrders": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "workOrderNumber": 0,      "routingTemplateId": "d5248ea6-c45d-4ca8-a631-888f01032f54",      "name": "string",      "quantity": 0,      "routing": [        {          "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",          "sequence": 0,          "statusId": "e900225c-0629-4e96-be6e-86a17a309645"        }      ],      "createdAt": "2019-08-24T14:15:22Z",      "startDate": "2019-08-24T14:15:22Z",      "dueDate": "2019-08-24T14:15:22Z",      "priority": 0    }  ],  "variables": {    "property1": 0,    "property2": 0  },  "postProcessingVariables": [    {      "postProcessingId": 0,      "variables": {        "property1": 0,        "property2": 0      }    }  ],  "duration": 0,  "name": "string",  "sequence": 0}